using System;
using System.Collections.Generic;
using System.Data.SqlTypes;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {

            string[] LN = Console.ReadLine().Split(' ');
            int N = int.Parse(LN[0]);
            int L = int.Parse(LN[1]);

            int[] visine_stalaktita = new int[N];
            string[] stalaktiti = Console.ReadLine().Split(' ');

            for (int j = 0; j < N; j++)
            {
                visine_stalaktita[j] = int.Parse(stalaktiti[j]);
            }

            bool Prosao = false;
            for (int i = 0; i < N; i++)
            {
                if (L >= visine_stalaktita[i] && Prosao == false)
                {
                    Console.WriteLine(i + 1);
                    Prosao = true;
                }

            }
            if (!Prosao)
                Console.WriteLine(-1);
        }
    }
}